#include "GPS_Sedlak.h"

vector<double> vPoleDelka; 
vector<double> vPoleSirka;
vector<double> vPoleVyska;
map<double, int> counter;
double MedianDelka, MedianSirka, MedianVyska;


void main () {
	GPSSTRUCT gpsD;
	char pozice, ini, Conf[100] = "";
	vector<string> hodnoty;
	double delka, sirka, vyska;

	ConnectAndSetSentence("$PASHS,RAW,GGB,A,OFF");

	
	/*while(TRUE) {
		hodnoty.clear();
		ConnectAndGetSentence("$GPGGA", hodnoty);
		for (i = 0; i<hodnoty.size(); i++) {
			cout<<i<<": "<<hodnoty[i]<<endl;
		}
		cout<<endl;
	}*/



	cout<<"Provest inicializaci BASE STATION? A/N"<<endl;
	cin>>ini;
	if(ini == 'A' || ini == 'a') {
		Magellan_Init_Base(MAGELLANBASE);
	}
	else if (ini == 'N' || ini == 'n') {
		cout<<"Je znama presna pozice Referenci GPS? A/N"<<endl;
		cin>>pozice;
		if (pozice == 'A' || pozice == 'a') {
			cout<<"Zadat vychodni delku (ve tvaru hhmm.mmmmm): "<<endl;
			cin>>delka;
			cout<<"Zadat severni sirku (ve tvaru hhhmm.mmmmm): "<<endl;
			cin>>sirka;
			cout<<"Zadat nadmorskou vysku (ve tvaru aaaaa.aa): "<<endl;
			cin>>vyska;
			Magellan_Init_Base(MAGELLANBASE, delka, sirka, vyska);
		}
		else if (pozice == 'N' || pozice == 'n') {
			cout<<"Zjistovani presne pozice"<<endl;
			if(!Poloha(gpsD)) {
				cout<<"Pocet satelitu: "<<gpsD.i_pocetsat<<endl;
				cout<<"Cas: "<<gpsD.d_cas<<" Sirka: "<<gpsD.d_sirka<<gpsD.s_sirkasektor<<" Delka: "<<gpsD.d_delka<<gpsD.s_delkasektor<<" Vyska: "<<gpsD.d_vyska<<endl;
				cout<<endl;
				while(TRUE) {
					while(!Base (gpsD)) {
					}
				}
			}
			else {
				cout << "Nenactena poloha!" <<endl;
			}
			
		}
	}
}//main


